import logging

from pyrogram import filters
from pyrogram.types import Message

from classes.pyroclient import PyroClient

logger = logging.getLogger(__name__)


@PyroClient.on_message(
    ~filters.scheduled
    & filters.command(["resetcard", "забути картку"], prefixes=["/", ""])  # type: ignore
)
async def command_resetcard(app: PyroClient, message: Message):
    user = await app.find_user(message.from_user)

    if user.card is None:
        logger.info("User %s tried to reset their card, but it's null", user.id)
        await message.reply_text(
            app._("card_not_linked", "messages", locale=user.locale).format(
                notice=app._("get_number", "messages", locale=user.locale)
            )
        )
        return

    await user.update_card(None)

    logger.info("User %s has reset their card", user.id)
    await message.reply_text(app._("card_unlinked", "messages", locale=user.locale))
